package org.diagbot.common.push.filter.pretreat;

import org.diagbot.common.push.bean.PreResult;
import org.diagbot.nlp.participle.word.Lexeme;
import org.diagbot.nlp.participle.word.LexemePath;
import org.diagbot.nlp.util.NegativeEnum;
import org.diagbot.nlp.util.NlpUtil;

import java.util.List;

public class PretreatmentVital extends Pretreatment {
    public List<PreResult> analyze(String content) throws java.io.IOException{
        return super.analyzeDefault(content);
    }

    public PreResult createPreResult(LexemePath<Lexeme> lexemes, Lexeme lexeme, int index) {
        return super.createDefaultPreResult(lexemes, lexeme, index);
    }


    public String findBodyValue(LexemePath<Lexeme> lexemes, Lexeme lexeme, int index) {
        if (cursor > 0) cursor--;
        Lexeme leftLexeme = lexemes.get(cursor);
        if (NlpUtil.isFeature(leftLexeme.getProperty(), new NegativeEnum[]{NegativeEnum.VITAL_INDEX})) {
            return NlpUtil.concept(leftLexeme, NegativeEnum.VITAL_INDEX);
        }
        return null;
    }
}
