package org.diagbot.rule.crisis;

import org.diagbot.common.push.bean.Rule;
import org.diagbot.common.push.bean.RuleApp;
import org.diagbot.common.push.bean.SearchData;
import org.diagbot.common.push.cache.ApplicationCacheUtil;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by louhr on 2019/9/2.
 */
public class CrisisApplication {
    private static String[] itemTypes = { "symptom", "vital", "lis", "pacs" };

    public Map<String, List<String>> crisisContent(SearchData searchData) {
        //<"symptom",["严重低钠血症，此项检验指标高危"]>
        //<"vital",["严重代谢性碱中毒，此项检验指标高危"]>
        Map<String, List<String>> crisisMap = new HashMap<>();
        List<String> crisisList = null;
        Map<String, RuleApp> ruleApps = ApplicationCacheUtil.getKl_rule_app_filter_map();
        Map<String, List<Rule>> rules = searchData.getRules();
        for (String itemType : itemTypes) {
            List<Rule> detailRules = rules.get(itemType);
            for (Rule rule : detailRules) {
                if (ruleApps.containsKey(rule.getId())) {
                    if ("0".equals(ruleApps.get(rule.getId()).getType_id())) {
                        if (crisisMap.get(itemType) == null) {
                            crisisList = new ArrayList<>();
                        } else {
                            crisisList = crisisMap.get(itemType);
                        }
                        crisisList.add(ruleApps.get(rule.getId()).getRemind());
                        crisisMap.put(itemType, crisisList);
                    }
                }
            }
        }
        return crisisMap;
    }
}
